
Infrastructure - Task #2173

Story # 2067 (Closed): Refactor the index task generator and processor to improve scalability and performance

Create solr index test harness

2012-01-06 20:32 - Skye Roseboom

Status: Closed Start date: 2012-01-06

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: Sprint-2012.05-Block.1.3   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Need ability to verify that new metadata mining rules are being added to the solr index appropriately.

Test harness will:

Generate index tasks using known system metadata, science metadata, science data test resources.

Process index tasks - creating/updating solr index with entry for test resources.

Verify solr index record accurately reflect and contains all appropriate data according to the solr schema and metadata processing

rules.

History

#1 - 2012-01-06 21:39 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2012-01-13 18:41 - Skye Roseboom

- Status changed from In Progress to Closed

Two test classes:

SolrIndexFieldTest - verifies the solr index record contains information 'mined' from xml documents by XPathDocumentParser and solr index field

generation configuration.

SolrFieldXPathTest - verifies the XPathDocumentParser and solr index field generation configuration is pulling the correct data from the xml

documents.
